# Vulpes
An ESP32-based radio orienteering controller. This repo is for
the code. There will be another repo for the schematic and PCB
design.

## What
Radio orienteering, or amateur radio direction finding (ARDF) is a 
sport where people run around and look for hidden transmitters. One
necessary component is a controller on each transmitter that tells
it when and what to transmit. 

This is my attempt at a simple, easy-to-use controller with a low 
parts count. Rather than programming a microcontroller and/or 
using DIP switches, time delays, and sync cables, the ESP32 development
board lets you set up each controller using a web browser (e.g., on your
smartphone or tablet).

The [ARRL ARDF page](https://www.arrl.org/amateur-radio-direction-finding) 
is an OK starting point for learning about radio orienteering, but 
there are probably better ones.

## Hardware
I designed a simple custom printed circuit board (PCB) to make
assumbling this controller easy to do. The repo for schematic and
board design is here: [vulpes_hardware](https://amiok.net/gitea/W1CDN/vulpes_hardware).

Because the ESP32 doesn't track time when it is powered off, and
I wanted to avoid specific delays (e.g., push a button two hours
before an event starts), an additional real-time clock (RTC) is 
included. The RTC runs on a watch battery to track time when the
controller is not powered on.

## Software/Firmware
Power on the controller by plugging in a micro-USB cable to a 5V 
source (e.g., computer or battery pack). After the device is powered on,
it will start an internal webserver and set up a wireless network called 
"vulpes."

Connect to the "vulpes" wireless network and use a web browser to navigate
to `http://192.168.0.1` (note "http" not "http**s**"). You will see the
settings below. Note that you will not be able to access the Internet while
connected to this network, and each controller sets up a separate network.

### General Settings

### Cycle Settings

### Network Settings
#### Access Point
When using as a wireless access point, the network SSID is "vulpes"
with no password. Navigate to http://192.168.0.1 to access webform.

## License
GNU GPLv3. See `LICENSE` file for details, and 
https://choosealicense.com/licenses/ if you're like me and don't
understand all of this stuff.

## Acknowledgments
Special thanks to [Mark Fickett](http://www.markfickett.com/) for his
[arduinomorse](https://github.com/markfickett/arduinomorse) library and 
[N1OIQ](https://sourceforge.net/projects/kb1oiq-ham-radio-projects/files/80m_ardf/) 
for similar design insparation.

## Questions and Contributing
Until I get Gitea set up completely, please email me at w1cdnQRTw1cdn.net, 
but replace "QRT" with @.